WordPress.org

Ready to get started?Download WordPress

Forums

Events Manager
[resolved] 5.3.5 upgrade results in missing argument error (4 posts)

  1. se.stevenson
    Member
    Posted 1 year ago #

    I innocently upgraded to the latest version, and now I'm getting this error on EVERY event. HELP!!

    Warning: Missing argument 2 for get_post_meta(), called in /home/capellar/public_html/wp-content/plugins/events-manager/classes/em-event.php on line 329 and defined in /home/capellar/public_html/wp-includes/post.php on line 1465

    http://wordpress.org/extend/plugins/events-manager/

  2. agelonwl
    Member
    Posted 1 year ago #

    could it be that you have an older version of WP? recent versions allow argument 2 to be optional

    http://codex.wordpress.org/Function_Reference/get_post_meta

  3. se.stevenson
    Member
    Posted 1 year ago #

    Yep - that's it. According to the plug-in site, it should have worked on the version of WP I had installed... After killing my Events page with an upgrade, I was a bit skittish about upgrading anything else.

    Thanks agelonwl!

  4. agelonwl
    Member
    Posted 1 year ago #

    thanks for updating us.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic